# $Revision: 1.11 $, $Date: 2011/02/05 06:38:28 $
#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
#
Summary:	Library for building UPnP A/V applications
Summary(pl.UTF-8):	Biblioteka do budowania aplikacji UPnP A/V
Name:		gupnp-av
# note: 0.6.x is stable, 0.7.x unstable
Version:	0.6.3
Release:	1
License:	LGPL v2+
Group:		Libraries
#Source0Download: http://gupnp.org/download
Source0:	http://gupnp.org/sites/all/files/sources/%{name}-%{version}.tar.gz
# Source0-md5:	ce976d4926ca06b7407c74fbd40204c1
URL:		http://gupnp.org/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gobject-introspection-devel >= 0.9.5
BuildRequires:	gtk-doc >= 1.0
BuildRequires:	gupnp-devel >= 0.13.4
BuildRequires:	libtool
BuildRequires:	pkgconfig
Requires:	gupnp >= 0.13.4
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
gupnp-av is a small library that aims to easy the handling and
implementation of UPnP A/V profiles.

%description -l pl.UTF-8
gupnp-av jest małą biblioteką, której celem jest uproszczenie obsługi
i implementacji profili UPnP A/V.

%package devel
Summary:	Header files for gupnp-av library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki gupnp-av
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	gupnp-devel >= 0.13.4

%description devel
Header files for gupnp-av library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki gupnp-av.

%package static
Summary:	Static gupnp-av library
Summary(pl.UTF-8):	Statyczna biblioteka gupnp-av
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static gupnp-av library.

%description static -l pl.UTF-8
Statyczna biblioteka gupnp-av.

%package apidocs
Summary:	gupnp-av library API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki gupnp-av
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
API and internal documentation for gupnp-av library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki gupnp-av.

%prep
%setup -q

%build
%{__gtkdocize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{?with_apidocs:--enable-gtk-doc} \
	--with-html-dir=%{_gtkdocdir}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{!?with_apidocs:rm -rf $RPM_BUILD_ROOT%{_gtkdocdir}}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libgupnp-av-1.0.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgupnp-av-1.0.so.2
%{_libdir}/girepository-1.0/GUPnPAV-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgupnp-av-1.0.so
%{_libdir}/libgupnp-av-1.0.la
%{_datadir}/gir-1.0/GUPnPAV-1.0.gir
%{_includedir}/gupnp-av-1.0
%{_pkgconfigdir}/gupnp-av-1.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libgupnp-av-1.0.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gupnp-av
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gupnp-av.spec,v $
Revision 1.11  2011/02/05 06:38:28  qboosh
- updated to 0.6.3

Revision 1.10  2010/10/31 10:52:18  megabajt
- updated to 0.6.2

Revision 1.9  2010/06/20 16:09:08  megabajt
- BR: gssdp-devel >= 0.7.2
- release 2

Revision 1.8  2010/06/20 16:02:49  megabajt
- BR: gupnp-devel >= 0.13.4

Revision 1.7  2010/06/20 15:06:18  megabajt
- updated to 0.5.6

Revision 1.6  2010/04/06 22:38:31  sparky
- BR: docbook-dtd412-xml

Revision 1.5  2010/03/24 14:36:45  megabajt
- updated to 0.5.4

Revision 1.4  2009/11/27 20:48:57  wiget
- updated 0.5.2

Revision 1.3  2009/11/07 17:54:59  megabajt
- updated to 0.5.1 (new soname)

Revision 1.2  2009/06/29 23:01:09  megabajt
- updated to 0.4.1

Revision 1.1  2009/04/11 10:41:34  megabajt
- new
